path: /build/build/baselayout-sys-apps-2.6.1+10.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-apps/baselayout -pv -t
  - |
    emerge -j ${JOBS} --nodeps sys-apps/baselayout
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/baselayout && luet-portage
    --dir /pkgdir/baselayout sys-apps/baselayout
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  - sed -i -e 's|^VERSION_ID.*|VERSION_ID=24.08|g' -e 's|^VERSION=.*|VERSION="24.08
    (Phoenix)"|g' os-release && cp os-release /pkgdir/baselayout/etc/os-release &&
    mv /pkgdir/baselayout/etc/issue /pkgdir/baselayout/etc/issue.simple && cp issue
    /pkgdir/baselayout/etc/issue && sed -i -e 's|^CONFIG_PROTECT_MASK.*|CONFIG_PROTECT_MASK="/etc/gentoo-release
    /etc/os-release"|g' /pkgdir/baselayout/etc/env.d/50baselayout
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:9f5e5ac2694f649f2992dcb2d1bf21ffa7f86106aa5f71983d6054c37810a47e
  package:
    name: baselayout
    version: 2.6.1+10
    category: sys-apps
    requires:
    - name: macaroni-funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Filesystem baselayout and init scripts
    uri:
    - ""
    license: GPL-2
    buildtimestamp: 2024-08-31 07:06:12.000513014 +0000 UTC m=+44.981182602
    labels:
      IUSE: build kernel_FreeBSD kernel_linux +split-usr
      emerge.packages: sys-apps/baselayout
      kit: core-kit
      macaroni.version: "24.08"
      original.package.name: sys-apps/baselayout
      original.package.slot: "0"
      original.package.version: 2.6.1-r5
    treedir: /build/packages
  package_dir: /pkgdir/baselayout
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6d0aab2137c5689f7cdcffa734deb11d58f522dcbf91d3aba51292bfe1117103
compressiontype: zstd
files:
- etc/env.d/00basic
- etc/env.d/50baselayout
- etc/filesystems
- etc/inputrc
- etc/issue
- etc/issue.logo
- etc/issue.simple
- etc/modprobe.d/aliases.conf
- etc/modprobe.d/i386.conf
- etc/networks
- etc/os-release
- etc/profile
- etc/protocols
- etc/services
- etc/shells
- etc/sysctl.conf
- usr/share/baselayout/fstab
- usr/share/baselayout/group
- usr/share/baselayout/issue.devfix
- usr/share/baselayout/passwd
- usr/share/baselayout/shadow
- usr/share/doc/baselayout-2.6.1-r5/ChangeLog.bz2
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/BUILD_TIME
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/CATEGORY
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/CBUILD
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/CFLAGS
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/CHOST
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/CONTENTS
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/COUNTER
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/CTARGET
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/CXX
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/CXXFLAGS
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/DEFINED_PHASES
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/DESCRIPTION
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/EAPI
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/FEATURES
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/INHERITED
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/IUSE
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/KEYWORDS
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/LDFLAGS
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/LICENSE
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/PF
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/SIZE
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/SLOT
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/USE
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/baselayout-2.6.1-r5.ebuild
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/environment.bz2
- var/db/pkg/sys-apps/baselayout-2.6.1-r5/repository
package_cacheimage: ""
runtime:
  name: baselayout
  version: 2.6.1+10
  category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Filesystem baselayout and init scripts
  uri:
  - ""
  license: GPL-2
  labels:
    IUSE: build kernel_FreeBSD kernel_linux +split-usr
    emerge.packages: sys-apps/baselayout
    kit: core-kit
    macaroni.version: "24.08"
    original.package.name: sys-apps/baselayout
    original.package.slot: "0"
    original.package.version: 2.6.1-r5
